Package csb :: Package bio :: Package structure :: Class ResidueAtomsTable

[frames] | no frames]

# Class ResidueAtomsTable

source code

                  object --+
                           |
        core.AbstractIndexer --+
                               |
    core.BaseDictionaryContainer --+
                                   |
            core.DictionaryContainer --+
                                       |
                                      ResidueAtomsTable

Represents a collection of atoms. Provides dictionary-like access, where PDB atom names are used for lookup.

Instance Methods

__init__(self, residue, atoms=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__repr__(self) repr(x) | source code

append(self, atom) Append a new Atom to the catalog. | source code

update(self, atom_name, atom) Update the atom with the specified name. | source code

Inherited from `core.BaseDictionaryContainer`: `__bool__`, `__contains__`, `__getitem__`, `__iter__`, `__len__`, `__nonzero__`, `keys` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `core.BaseDictionaryContainer`: `length` Inherited from `object`: `__class__`

Method Details

### __init__(self, residue, atoms=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `items` - an initialization dictionary
  - `restrict` - a list of keys allowed for this dictionary
Overrides: object.__init__
  (inherited documentation)

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)

### append(self, atom)

source code

Append a new Atom to the catalog.

If the atom has an alternate position, a disordered proxy will be created instead and the atom will be appended to the DisorderedAtom's list of children. If a disordered atom with that name already exists, the atom will be appended to its children only. If an atom with the same name exists, but it was erroneously not marked as disordered, that terrible condition will be fixed too.

Parameters:
  - `atom` (Atom) - the new atom to append
Raises:
  - `DuplicateAtomIDError` - if an atom with the same sequence number and insertion code already exists in that residue
Overrides: core.DictionaryContainer.append

### update(self, atom_name, atom)

source code

Update the atom with the specified name.

Parameters:
  - `atom_name` (str) - update key
  - `atom` (Atom) - new value for this key
Raises:
  - `ValueError` - if `atom` has a different name than `atom_name`